### YamlMime:ManagedReference
items:
- uid: Voile.Rendering.ColorRectShader
  commentId: T:Voile.Rendering.ColorRectShader
  id: ColorRectShader
  parent: Voile.Rendering
  children:
  - Voile.Rendering.ColorRectShader.FragmentSource
  - Voile.Rendering.ColorRectShader.VertexSource
  langs:
  - csharp
  - vb
  name: ColorRectShader
  nameWithType: ColorRectShader
  fullName: Voile.Rendering.ColorRectShader
  type: Class
  source:
    remote:
      path: Voile/Source/Rendering/ColorRectShader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ColorRectShader
    path: Source/Rendering/ColorRectShader.cs
    startLine: 2
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: 'public class ColorRectShader : Shader'
    content.vb: Public Class ColorRectShader Inherits Shader
  inheritance:
  - System.Object
  - Voile.Rendering.Shader
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Rendering.ColorRectShader.FragmentSource
  commentId: P:Voile.Rendering.ColorRectShader.FragmentSource
  id: FragmentSource
  parent: Voile.Rendering.ColorRectShader
  langs:
  - csharp
  - vb
  name: FragmentSource
  nameWithType: ColorRectShader.FragmentSource
  fullName: Voile.Rendering.ColorRectShader.FragmentSource
  type: Property
  source:
    remote:
      path: Voile/Source/Rendering/ColorRectShader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: FragmentSource
    path: Source/Rendering/ColorRectShader.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.Rendering
  example: []
  syntax:
    content: public override string FragmentSource { get; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Overrides ReadOnly Property FragmentSource As String
  overridden: Voile.Rendering.Shader.FragmentSource
  overload: Voile.Rendering.ColorRectShader.FragmentSource*
- uid: Voile.Rendering.ColorRectShader.VertexSource
  commentId: P:Voile.Rendering.ColorRectShader.VertexSource
  id: VertexSource
  parent: Voile.Rendering.ColorRectShader
  langs:
  - csharp
  - vb
  name: VertexSource
  nameWithType: ColorRectShader.VertexSource
  fullName: Voile.Rendering.ColorRectShader.VertexSource
  type: Property
  source:
    remote:
      path: Voile/Source/Rendering/ColorRectShader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: VertexSource
    path: Source/Rendering/ColorRectShader.cs
    startLine: 18
  assemblies:
  - Voile
  namespace: Voile.Rendering
  example: []
  syntax:
    content: public override string VertexSource { get; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Overrides ReadOnly Property VertexSource As String
  overridden: Voile.Rendering.Shader.VertexSource
  overload: Voile.Rendering.ColorRectShader.VertexSource*
references:
- uid: Voile.Rendering
  commentId: N:Voile.Rendering
  href: Voile.html
  name: Voile.Rendering
  nameWithType: Voile.Rendering
  fullName: Voile.Rendering
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Rendering.Shader
  commentId: T:Voile.Rendering.Shader
  parent: Voile.Rendering
  href: Voile.Rendering.Shader.html
  name: Shader
  nameWithType: Shader
  fullName: Voile.Rendering.Shader
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Rendering.Shader.FragmentSource
  commentId: P:Voile.Rendering.Shader.FragmentSource
  parent: Voile.Rendering.Shader
  href: Voile.Rendering.Shader.html#Voile_Rendering_Shader_FragmentSource
  name: FragmentSource
  nameWithType: Shader.FragmentSource
  fullName: Voile.Rendering.Shader.FragmentSource
- uid: Voile.Rendering.ColorRectShader.FragmentSource*
  commentId: Overload:Voile.Rendering.ColorRectShader.FragmentSource
  href: Voile.Rendering.ColorRectShader.html#Voile_Rendering_ColorRectShader_FragmentSource
  name: FragmentSource
  nameWithType: ColorRectShader.FragmentSource
  fullName: Voile.Rendering.ColorRectShader.FragmentSource
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Rendering.Shader.VertexSource
  commentId: P:Voile.Rendering.Shader.VertexSource
  parent: Voile.Rendering.Shader
  href: Voile.Rendering.Shader.html#Voile_Rendering_Shader_VertexSource
  name: VertexSource
  nameWithType: Shader.VertexSource
  fullName: Voile.Rendering.Shader.VertexSource
- uid: Voile.Rendering.ColorRectShader.VertexSource*
  commentId: Overload:Voile.Rendering.ColorRectShader.VertexSource
  href: Voile.Rendering.ColorRectShader.html#Voile_Rendering_ColorRectShader_VertexSource
  name: VertexSource
  nameWithType: ColorRectShader.VertexSource
  fullName: Voile.Rendering.ColorRectShader.VertexSource
